Множественные уязвимости в Drupal 5.x

Дата публикации:
10.10.2008
Всего просмотров:
2493
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-4793
CVE-2008-4791
CVE-2008-4792
Вектор эксплуатации:
Удаленная
Воздействие:
Раскрытие важных данных
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Drupal 5.x
Уязвимые версии: Drupal версии до 5.11

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю обойти некоторые ограничения безопасности.

1. Уязвимость существует из-за недостаточного ограничения доступа к основному модулю загрузка файлов. Удаленный авторизованный пользователь без привилегий на просмотр статьи может получить доступ к файлам, присоединенным к статье.

2. Уязвимость существует из-за недостаточного ограничения доступа в модуле Node API. Удаленный пользователь может в некоторых случаях обойти проверку подлинности узла.

3. Уязвимость существует из-за недостаточного ограничения доступа к основному модулю для обработки пользователей. Удаленный авторизованный пользователь может при определенных обстоятельствах обойти правила доступа. Для успешной эксплуатации уязвимости должен использоваться функционал "access rules".

4. Уязвимость существует из-за недостаточного ограничения доступа к модулю BlogAPI. Удаленный авторизованный пользователь может установить значения для некоторых полей.

URL производителя: drupal.org

Решение: Установите последнюю версию 5.11 с сайта производителя.

Ссылки: http://drupal.org/node/318706

или введите имя

CAPTCHA